Package com.avaya.clientservices.call.conference

## Enum ConferenceEncryptionStatus

- java.lang.Object
- - java.lang.Enum<ConferenceEncryptionStatus>
  - - com.avaya.clientservices.call.conference.ConferenceEncryptionStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConferenceEncryptionStatus>`

      public enum ConferenceEncryptionStatus
      extends java.lang.Enum<ConferenceEncryptionStatus>

  Enumeration representing overall encryption status of a conference call.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ENCRYPTED` | All of the conference legs are encrypted.
    `NOT_ENCRYPTED` | Conference legs are not encrypted.
    `PARTIALLY_ENCRYPTED` | Some of the conference legs are encrypted.
    `UNKNOWN` | Conference encryption status is unknown, for example, if the conference server does not support the indication.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConferenceEncryptionStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConferenceEncryptionStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ConferenceEncryptionStatus UNKNOWN

      Conference encryption status is unknown, for example, if the conference server does not support the indication.

    - #### NOT_ENCRYPTED

          public static final ConferenceEncryptionStatus NOT_ENCRYPTED

      Conference legs are not encrypted.

    - #### PARTIALLY_ENCRYPTED

          public static final ConferenceEncryptionStatus PARTIALLY_ENCRYPTED

      Some of the conference legs are encrypted.

    - #### ENCRYPTED

          public static final ConferenceEncryptionStatus ENCRYPTED

      All of the conference legs are encrypted.

  - ### Method Detail

    - #### values

          public static ConferenceEncryptionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConferenceEncryptionStatus c : ConferenceEncryptionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConferenceEncryptionStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null